#### [JpnCardsPokemon.Sdk](index.md 'index')
### [JpnCardsPokemon.Sdk.Api](JpnCardsPokemon.Sdk.Api.md 'JpnCardsPokemon.Sdk.Api')

## Set Class

Represents a set object from the web api.

```csharp
public class Set
```

Inheritance [System.Object](https://docs.microsoft.com/en-us/dotnet/api/System.Object 'System.Object') &#129106; Set

| Properties | |
| :--- | :--- |
| [Id](JpnCardsPokemon.Sdk.Api.Set.Id.md 'JpnCardsPokemon.Sdk.Api.Set.Id') | The internal identification number that the set is given. Used to query for information about this single set or<br/>for all cards in this single set. |
| [ImageUrl](JpnCardsPokemon.Sdk.Api.Set.ImageUrl.md 'JpnCardsPokemon.Sdk.Api.Set.ImageUrl') | A URL to the official set's image. |
| [Language](JpnCardsPokemon.Sdk.Api.Set.Language.md 'JpnCardsPokemon.Sdk.Api.Set.Language') | The language that the cards in the set are printed in. |
| [Name](JpnCardsPokemon.Sdk.Api.Set.Name.md 'JpnCardsPokemon.Sdk.Api.Set.Name') | The name of the set. |
| [PrintedCardCount](JpnCardsPokemon.Sdk.Api.Set.PrintedCardCount.md 'JpnCardsPokemon.Sdk.Api.Set.PrintedCardCount') | The number of cards in the set that is printed on the card. This differs from the set's<br/>[TotalCardCount](JpnCardsPokemon.Sdk.Api.Set.TotalCardCount.md 'JpnCardsPokemon.Sdk.Api.Set.TotalCardCount') in sets with Secret Rare cards. |
| [SetCode](JpnCardsPokemon.Sdk.Api.Set.SetCode.md 'JpnCardsPokemon.Sdk.Api.Set.SetCode') | The shorthand code for the set. |
| [SourceUrl](JpnCardsPokemon.Sdk.Api.Set.SourceUrl.md 'JpnCardsPokemon.Sdk.Api.Set.SourceUrl') | The URL to a page which has more information about the set. |
| [TotalCardCount](JpnCardsPokemon.Sdk.Api.Set.TotalCardCount.md 'JpnCardsPokemon.Sdk.Api.Set.TotalCardCount') | The total number of cards in the set. |
| [Uuid](JpnCardsPokemon.Sdk.Api.Set.Uuid.md 'JpnCardsPokemon.Sdk.Api.Set.Uuid') | A stable id for earch card. Output is an eight digit integer which is unique for each card. While the cards'<br/>[Id](JpnCardsPokemon.Sdk.Api.Set.Id.md 'JpnCardsPokemon.Sdk.Api.Set.Id') may change over time, the uuid should always remain stable and constant. |
| [Year](JpnCardsPokemon.Sdk.Api.Set.Year.md 'JpnCardsPokemon.Sdk.Api.Set.Year') | The year the set was released. |
